function Tween(duration, from, to, tween) {
  var self = this;
  this.time = duration || 1000;
  this.from = from;
  this.to = to;
  this.tween = tween;
  this.animDiff = this.to - this.from;
  this.startTime = new Date();
  this.timer = setInterval(
    function () {
      self.animate();
    }, 10
  );
};

Tween.prototype.animate = function() {
  var that = this;
  this.now = new Date();
  this.diff = this.now - this.startTime;
  if (this.diff > this.time) {
    this.tween(this.to);
    clearInterval(this.timer);
    this.timer = null;
    return;
  }
  this.percentage = (Math.floor((this.diff / this.time) * 100) / 100);
  this.tween((this.animDiff * this.percentage) + this.from);
};